﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class ConvertPubs_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds = new DataSet("pubs");
        ds.Tables.Add(GetTable("authors"));
        ds.Tables.Add(GetTable("discounts"));
        ds.Tables.Add(GetTable("employee"));
        ds.Tables.Add(GetTable("jobs"));
        ds.Tables.Add(GetTable("pub_info"));
        ds.Tables.Add(GetTable("publishers"));
        ds.Tables.Add(GetTable("roysched"));
        ds.Tables.Add(GetTable("sales"));
        ds.Tables.Add(GetTable("stores"));
        ds.Tables.Add(GetTable("titleauthor"));
        ds.Tables.Add(GetTable("titles"));
//        ds.WriteXmlSchema(Server.MapPath("~/App_Data/pubs.data.xsd"));
        ds.WriteXml(Server.MapPath("~/App_Data/pubs.data.xml"));
    }
    private DataTable GetTable(string tableName)
    {
        DataTable dt = new DataTable(tableName);
        string connString = ConfigurationManager.ConnectionStrings["pubsConnectionString"].ConnectionString;
        using (SqlConnection con = new SqlConnection(connString))
        {
            con.Open();
            using (SqlCommand cmd = con.CreateCommand())
            {
                cmd.CommandText = string.Format("select * from {0}", tableName);
                cmd.CommandType = CommandType.Text;
                using (SqlDataReader dr = cmd.ExecuteReader())
                {
                    dt.Load(dr);
                }
            }
        }
        return dt;
    }
}
