﻿// JScript-Datei

function Demo1()
{
    executeRequest("Demo1.ashx", "getfulldate", Demo1_CB);
    return false;
}

function Demo1_CB()
{
    if (ajaxRequest.readyState == 4 && ajaxRequest.status == 200)
    {
        var ele = document.getElementById('TextBox1');
        if (ele!=null)
        {
            ele.value = ajaxRequest.responseText;
        }
    }
    else if (ajaxRequest.readyState == 4)
    {
        alert(ajaxRequest.status);
    }
}




/* readyState
(0) UNINITIALIZED
 The object has been created but has not been initialized because the open method has not been called.
 
(1) LOADING
 The object has been created but the send method has not been called.
 
(2) LOADED
 The send method has been called and the status and headers are available, but the response is not yet available.
 
(3) INTERACTIVE
 Some data has been received. You can call responseBody and responseText to get the current partial results.
 
(4) COMPLETED
 All the data has been received, and the complete data is available in responseBody and responseText. 

*/